com.streambase.sb.client

## Interface StreamBaseClient.ListEntityFlags

- Enclosing class:
    StreamBaseClient

      public static interface StreamBaseClient.ListEntityFlags

  Flags used by the ListEntities call. These flags can be OR'ed together if desired

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADAPTERS_ONLY` Use ADAPTERS_ONLY if you want only list adapters in list operator
    `static int` | `ALL_CONTAINERS` Use ALL_CONTAINERS if you want to include all user containers in the output.
    `static int` | `FULLY_QUALIFIED_NAMES` Use FULLY_QUALIFIED_NAMES if you want to include container names for all entities.
    `static int` | `INCLUDE_MODULES` Use INCLUDE_MODULES if you want to include all modules in the output (including sub modules)
    `static int` | `NO_FLAGS` Indicates no special option

- - ### Field Detail

    - #### NO_FLAGS

          static final int NO_FLAGS

      Indicates no special option
      See Also:
        Constant Field Values

    - #### FULLY_QUALIFIED_NAMES

          static final int FULLY_QUALIFIED_NAMES

      Use FULLY_QUALIFIED_NAMES if you want to include container names for all entities. If not set then the returned names will not include the container name, just the entity name including the submodule path.
      See Also:
        Constant Field Values

    - #### INCLUDE_MODULES

          static final int INCLUDE_MODULES

      Use INCLUDE_MODULES if you want to include all modules in the output (including sub modules)
      See Also:
        Constant Field Values

    - #### ALL_CONTAINERS

          static final int ALL_CONTAINERS

      Use ALL_CONTAINERS if you want to include all user containers in the output. This does not include the "system" container. This flag implies `StreamBaseClient.ListEntityFlags.FULLY_QUALIFIED_NAMES`
      See Also:
        Constant Field Values

    - #### ADAPTERS_ONLY

          static final int ADAPTERS_ONLY

      Use ADAPTERS_ONLY if you want only list adapters in list operator
      See Also:
        Constant Field Values

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.